#ifndef   EDG_WORKLOAD_COMMON_UTILITIES_EXCEPTION_CODES_H
#define  EDG_WORKLOAD_COMMON_UTILITIES_EXCEPTION_CODES_H

#include "edg/workload/common/common_namespace.h"

// pure C-style code:
#define EDG_WORKLOAD_COMMON_ERROR_BASE 900
#define EDG_WORKLOAD_USERINTERFACE_ERROR_BASE 1000
#define EDG_WORKLOAD_NETWORKSERVER_ERROR_BASE 1200
#define EDG_WORKLOAD_SOCKET_ERROR_BASE 1300
#define EDG_WORKLOAD_LDAP_ERROR_BASE 1350
#define EDG_WORKLOAD_LOGGING_ERROR_BASE 1400
#define EDG_WORKLOAD_REQUESTAD_ERROR_BASE 1500
#define EDG_WORKLOAD_CHECKPOINT_ERROR_BASE 1600
#define EDG_WORKLOAD_CONFIGURATION_ERROR_BASE 1800

#ifdef __cplusplus
COMMON_NAMESPACE_BEGIN{
namespace utilities{
/**
  * The Error Code
*/
enum {
        WL_COMMON_BASE = EDG_WORKLOAD_COMMON_ERROR_BASE,
        THREAD_INIT  ,          // pthread_attr_init              method failed
        THREAD_DETACH ,         // pthread_attr_setdetachstate    method failed
        THREAD_CREATE ,         // pthread_create                 method failed
        THREAD_JOIN,
        THREAD_SSL,
        WL_FATAL_ERROR,
        WL_UI_ERROR_BASE            = EDG_WORKLOAD_USERINTERFACE_ERROR_BASE,
        WL_NS_ERROR_BASE            = EDG_WORKLOAD_NETWORKSERVER_ERROR_BASE,
        WL_SOCKET_ERROR_BASE        = EDG_WORKLOAD_SOCKET_ERROR_BASE,
	WL_LDAP_ERROR_BASE          = EDG_WORKLOAD_LDAP_ERROR_BASE,
        WL_LB_ERROR_BASE            = EDG_WORKLOAD_LOGGING_ERROR_BASE ,
	WL_REQUESTAD_ERROR_BASE     = EDG_WORKLOAD_REQUESTAD_ERROR_BASE,
        WL_CHKPT_ERROR_BASE         = EDG_WORKLOAD_CHECKPOINT_ERROR_BASE,
        WL_CONFIGURATION_ERROR_BASE = EDG_WORKLOAD_CONFIGURATION_ERROR_BASE
};

// EWC_END_NAMESPACE ;//Close the NameSpace
} COMMON_NAMESPACE_END
}
#endif   //ifdef c++
#endif
